
Figure - Bug #115068
测试 Test-ST # 113421 (New): V4.0功能与专项测试

【BSP】【EVT2】【开机引导】设备烧机后，在开机引导界面点击屏幕进入左右滑动界面，等待1分钟进入屏
保模式后再次唤醒，屏幕动画黑屏
2023-01-04 15:45 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-01-04

Priority: Normal Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_C sample_20230113

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0063.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-01-06

Test Type: ST Root cause: 开机引导动画在进入屏保后会被关闭，所以导致黑屏，给动画添加了一个屏保状态的监听，会在进入屏保和结束屏保时，开始和结束动画的播放

Description

【前提条件】

None

【测试步骤】

1.使用Qfile烧机后等待设备自动开机

2.在出现开机引导后点击一下屏幕

3.出现左右滑动动画后，静置1分钟

4.等待进入屏保模式，然后唤醒

【预期结果】

4. 唤醒后引导界面任然正常显示

【实际结果】

5. 唤醒后引导界面黑屏不显示画面

左右滑动后恢复正常显示

History

#1 - 2023-01-04 15:48 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-程天颖

#2 - 2023-01-05 15:10 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_C sample_20230113

#3 - 2023-01-06 09:33 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

174238 general/platform/vendor/thundercom

m/apps/TCSetupWizard

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:InitialSetting:Fixed black screen after booting the screensaver wakes upTC-RID: 1201-0200701IssueID: TS-R-BUG-115068Change-Id:

Ia6eb02897196006ea2d853b11005cc65477ecae2
#4 - 2023-01-06 09:50 - CD FW-程天颖

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-程天颖 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-01-06

- Root cause set to 开机引导动画在进入屏保后会被关闭，所以导致黑屏，给动画添加了一个屏保状态的监听，会在进入屏保和结束屏保时，开始和结束动

画的播放

■ Current conclusion

bug已解决，代码已入库

■ My analysis

开机引导动画在进入屏保后会被关闭，所以导致黑屏，给动画添加了一个屏保状态的监听，会在进入屏保和结束屏保时，开始和结束动画的播放

■Submit URL

http://10.0.232.3:3307/gerrit/c/general/platform/vendor/thundercomm/apps/TCSetupWizard/+/174238

#5 - 2023-01-12 15:29 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证结果：验证通过

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202301120309

#6 - 2023-01-12 15:30 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
